Public Member Functions | Public Attributes | List of all members
libetonyek::IWORKFillImage Struct Reference

`#include <IWORKTypes.h>`

## Public Member Functions
| IWORKFillImage ()

## Public Attributes
IWORKFillImageType | m_type
boost::optional< IWORKColor > | m_color
IWORKSize | m_size
RVNGInputStreamPtr_t | m_stream
std::string | m_mimeType

## Constructor & Destructor Documentation

## ◆ IWORKFillImage()

libetonyek::IWORKFillImage::IWORKFillImage | ( |  | ) |

## Member Data Documentation

## ◆ m_color

boost::optional<IWORKColor> libetonyek::IWORKFillImage::m_color

Referenced by libetonyek::IWAParser::readFill().

## ◆ m_mimeType

std::string libetonyek::IWORKFillImage::m_mimeType

## ◆ m_size

IWORKSize libetonyek::IWORKFillImage::m_size

Referenced by libetonyek::IWAParser::readFill().

## ◆ m_stream

RVNGInputStreamPtr_t libetonyek::IWORKFillImage::m_stream

Referenced by libetonyek::IWAParser::readFill().

## ◆ m_type

IWORKFillImageType libetonyek::IWORKFillImage::m_type

Referenced by libetonyek::IWAParser::readFill().

The documentation for this struct was generated from the following files:

- IWORKTypes.h
- IWORKTypes.cpp